org.scalatest

# Tag

#### class Tag extends AnyRef

Class whose subclasses can be used to tag tests in types `FunSuite`, `Spec`, `FlatSpec`, `WordSpec`, `FeatureSpec`, and their sister traits in the `org.scalatest.fixture` package. For example, if you define:

    object SlowTest extends Tag("SlowTest")

then you can tag a test as a `SlowTest` in a `FunSuite` or `FixtureFunSuite` like this:

    import org.scalatest.FunSuite

    class MySuite extends FunSuite {

      test("my test", SlowTest) {
        Thread.sleep(1000)
      }
    }

or in a `Spec` or `FixtureSpec` like this:

    import org.scalatest.Spec

    class MySpec extends Spec {

      it("should sleep for a second", SlowTest) {
        Thread.sleep(1000)
      }
    }

or in a `FlatSpec` or `FixtureFlatSpec` like this:

    import org.scalatest.FlatSpec

    class MySpec extends FlatSpec {

      it should "sleep for a second" taggedAs(SlowTest) in {
        Thread.sleep(1000)
      }
    }

or in a `WordSpec` or `FixtureWordSpec` like this:

    import org.scalatest.WordSpec

    class MySpec extends WordSpec {

      "should sleep for a second" taggedAs(SlowTest) in {
        Thread.sleep(1000)
      }
    }

or in a `FeatureSpec` or `FixtureFeatureSpec` like this:

    import org.scalatest.FeatureSpec

    class MySpec extends FeatureSpec {

      scenario("should sleep for a second", SlowTest) {
        Thread.sleep(1000)
      }
    }

Alternatively you can create Tag objects using `new` or by using the factory method in the Tag object. E.g., using the example scenario from above:

    scenario("should sleep for a second", new Tag("SlowTest"))

or just:

    scenario("should sleep for a second", Tag("SlowTest"))

If you have created Java annotation interfaces for use as tag names in direct subclasses of `org.scalatest.Suite`, then you may want to use group names on your `FunSuite`s and `Spec`s that match. To do so, simply pass the fully qualified names of the Java interface to the `Tag` constructor. For example, if you've defined a Java annotation interface with fully qualified name, `com.mycompany.testtags.SlowTest`, then you could create a matching group for `FunSuite`s like this:

    object SlowTest extends Tag("com.mycompany.testtags.SlowTest")

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Tag
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Tag (name: String)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

14. #### val name : String

15. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def toString (): String

    Definition Classes
      AnyRef → Any

20. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

21. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

22. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any